LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices



Reply
 
Search this Thread
Old 02-23-2005, 09:14 AM   #1
nelly-forum
LQ Newbie
 
Registered: Feb 2005
Posts: 3

Rep: Reputation: 0
Unhappy ATI Radeon mobility 9700 with Suse Linux


Hi,

Does anyone knows whether Suse Linux 9.0 or 9.2 supports the ATI mobility Radeon 9700?????

please heeeeeeeeeeeeeeeeeeeeeelp!

Nell
 
Old 02-23-2005, 11:33 AM   #2
wbeck85
LQ Newbie
 
Registered: Feb 2005
Posts: 7

Rep: Reputation: 0
Yes, it does.

You can use the standard ATI linux driver from the ATI website. Just follow the instructions that ATi gives you. But DO NOT use fglrxconfig to setup your xorg.conf. edit it manually.

so, dl the driver, make sure gcc, glib 3.3 and the other necessary packages are installed before you continue
So, switch to the directory to which you downloaded the driver and :

hc6527086:~ # rpm -Uh --force fglrx*
########################################### [100%]
########################################### [100%]

hopefully you wont get any errors. I did, however, and so i had to:

hc6527086:~ # cd /lib/modules/fglrx/build_mod
hc6527086:/lib/modules/fglrx/build_mod # sh make.sh
ATI module generator V 2.0
==========================
initializing...
cleaning...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.8-24.11-default/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.8-24.11-obj/x86_64/default'
make -C ../../../linux-2.6.8-24.11 O=../linux-2.6.8-24.11-obj/x86_64/default modules
Building modules, stage 2.
MODPOST
make[1]: Leaving directory `/usr/src/linux-2.6.8-24.11-obj/x86_64/default'
build succeeded with return value 0
duplicating results into driver repository...
done.
==============================
You must change your working directory to /lib/modules/fglrx
and then call ./make_install.sh in order to install the built module.
==============================
hc6527086:/lib/modules/fglrx/build_mod # cd ..
hc6527086:/lib/modules/fglrx # sh make_install.sh
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
done.

Alrighty, now to edit your xorg.conf in /etc/X11

Add Load "dri" to Section "Module"

and chang "radeon" to "fglrx" for Driver in Section "Device"
and added to Section "Device"
Option "UseInternalAPGART" "no"

and save that and you should be good.
 
Old 02-23-2005, 11:55 AM   #3
nelly-forum
LQ Newbie
 
Registered: Feb 2005
Posts: 3

Original Poster
Rep: Reputation: 0
Thank you !!!!

Now I can buy this laptop!!!
 
Old 03-06-2005, 06:22 PM   #4
StYxXx
LQ Newbie
 
Registered: Mar 2005
Distribution: SUSE 9.2 (amd64)
Posts: 1

Rep: Reputation: 0
Quote:
hc6527086:~ # rpm -Uh --force fglrx*
########################################### [100%]
########################################### [100%]

hopefully you wont get any errors. I did, however, and so i had to:
:-/ I got some errors:

########################################### [100%]
########################################### [100%]
make.sh: line 46: gcc: command not found
make.sh: line 52: [: !=: unary operator expected
/sbin/ldconfig: File /usr/X11R6/lib64/FGL.renamed.libGL.so.1.2 is too small, not checked.


and later:


# sh make.sh

make.sh: line 46: gcc: command not found
make.sh: line 52: [: !=: unary operator expected
ATI module generator V 2.0
==========================
initializing...
kernel includes at /usr/src/linux/include not found or incomplete
file: /usr/src/linux/include/linux/version.h

And when trying with YaST ist just crashes...
 
Old 03-06-2005, 08:21 PM   #5
cathectic
Member
 
Registered: Sep 2004
Location: UK, Europe
Distribution: Slackware64
Posts: 761

Rep: Reputation: 34
You first need to find and install GCC (The GNU C Compiler / GNU Compiler Collection) and you will likely also need the kernel headers/source installed as well, and it wouldn't hurt to install Make.

I assume they would all be hidden away somewhere on your install disc(/s), or available through YAST (I don't have or use SuSE so I can't really be more specific as to where to find these things, suffice to say they are available, but not by default)
 
Old 03-06-2005, 08:56 PM   #6
xm9
LQ Newbie
 
Registered: Mar 2005
Distribution: SuSE
Posts: 11

Rep: Reputation: 0
SUSE ATI support

SUSE actually has customized versions of the ATI packages for its distros. They are tucked away and hard to find in their ftp tree. Here's a link to the main server:

ftp://ftp.suse.com/pub/suse/i386/supplementary/X/ATI/

The only trick is getting the correct *.rpm for your suse version, platform and x-windows (XFree vs. X.org). Note that the 64 bit versions are here too, instead of in the x86_64 section. These worked great, and the first time, for me whereas the ATI packages didn't work (similar errors to yours).

I stumbled on these by accident. Not sure why suse makes it so hard to find.
 
Old 04-14-2005, 03:25 AM   #7
mait
LQ Newbie
 
Registered: Sep 2004
Posts: 2

Rep: Reputation: 0
thanks for the ftp link, gonna to try it now.
 
Old 04-26-2005, 02:29 PM   #8
rick7069
LQ Newbie
 
Registered: Apr 2005
Distribution: Mandrake 10.1
Posts: 4

Rep: Reputation: 0
Thank you very much. I worked for days to get my card working and the link provided was the only solution I found that actually works. With my 9700, under gligears, I am getting about 4200 fps. Thank you again!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Radeon Mobility 9600/9700 and TV IN logologics Linux - Hardware 0 09-05-2005 05:10 AM
Fedora Core 3 and ATI Mobility Radeon 9700 Niels82 Linux - Laptop and Netbook 2 12-06-2004 05:43 PM
ATI Mobility Radeon 9700 motovoi Linux - Laptop and Netbook 0 10-28-2004 06:08 AM
ati radeon 9700 mobility and suse 9.1 pro percent20 Linux - Laptop and Netbook 2 08-30-2004 03:35 AM
ATI Mobility Radeon 9700 AGP with RHE3 JamesR22 LinuxQuestions.org Member Intro 1 04-07-2004 05:52 AM


All times are GMT -5. The time now is 04:40 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration